# Script overview

Overview and quickstart instructions for scripts.

To install scripts, copy them somewhere on your Win 3, then add them to your path. This is done by adding a line to the end of `~/.bashrc`  
For example if the scripts are located in `/home/user/.local/win3-resources/scripts`, add the following at the end of your `~/.bashrc`:

```
PATH="${PATH}:/home/user/.local/win3-resources/scripts"
``` 

Replacing the folder as needed.

## TDP

Lets you set the TDP using `intel_rapl`.  
Also supports shortened commands for minimal typing on the mediocre keyboard.

PL1 is set to number provided, PL2 is set 2W higher, maybe PL2 will be customizable in the future.

For details of how to use, run `tdp help`.

Common examples:

```
# Check current TDP
tdp check

# Set TDP to 8W
tdp set 8

# Set TDP to 8W (But shorter)
tdp s 8

# Check both PL1 and PL2
tdp check --detail

# Check both PL1 and PL2 (But shorter)
tdp c -d
```

*Protip:* Add `tdp check` to the end of your `.bashrc` file. Then your terminal will display the TDP every time it's opened, without needing to run any command.
